Bug 27437 - Improve hint labels on library creation form
Summary: Improve hint labels on library creation form
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-14 16:45 UTC by Owen Leonard
Modified: 2021-06-14 21:35 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 27437: Improve hint labels on library creation form (8.25 KB, patch)
2021-01-14 17:18 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 27437: Improve hint labels on library creation form (8.31 KB, patch)
2021-01-18 22:22 UTC, Mazen Khallaf
Details | Diff | Splinter Review
Bug 27437: Improve hint labels on library creation form (8.36 KB, patch)
2021-01-18 23:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 27437: Improve hint labels on library creation form (8.42 KB, patch)
2021-01-20 09:16 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-01-14 16:45:47 UTC
There are some markup inconsistencies in admin/branches.tt which should be cleaned up, and system preference references should be linked directly to the preference (with permission)
Comment 1 Owen Leonard 2021-01-14 17:18:28 UTC
Created attachment 115181 [details] [review]
Bug 27437: Improve hint labels on library creation form

This patch makes a few minor template changes to the form for creating
and editing libraries:

- <br /><span class="hint"> changed to <div class="hint">
- References to system preferences are linked directly to that
  preference if the user has permission.
- The MARC organization code label has been corrected so that it works
  now.

To test, apply the patch and go to Administration -> Libraries -> New
library.

- Confirm that the hints for Ill staff email, Reply-to, Return-path, and
  MARC organization code look correct, including aligning with the input
  field above them.
- Confirm that clicking the "MARC organization code" label moves focus
  to the correct field.
- View the page as a user who both does and does not have permission to
  access system preferences, confirming that system preferences are
  linked correctly if the user has the correct permission.
Comment 2 Mazen Khallaf 2021-01-18 22:22:05 UTC
Created attachment 115251 [details] [review]
Bug 27437: Improve hint labels on library creation form

This patch makes a few minor template changes to the form for creating
and editing libraries:

- <br /><span class="hint"> changed to <div class="hint">
- References to system preferences are linked directly to that
  preference if the user has permission.
- The MARC organization code label has been corrected so that it works
  now.

To test, apply the patch and go to Administration -> Libraries -> New
library.

- Confirm that the hints for Ill staff email, Reply-to, Return-path, and
  MARC organization code look correct, including aligning with the input
  field above them.
- Confirm that clicking the "MARC organization code" label moves focus
  to the correct field.
- View the page as a user who both does and does not have permission to
  access system preferences, confirming that system preferences are
  linked correctly if the user has the correct permission.

Signed-off-by: Mazen Khallaf <mazen.i.khallaf@gamil.com>
Comment 3 Katrin Fischer 2021-01-18 23:32:17 UTC
Created attachment 115263 [details] [review]
Bug 27437: Improve hint labels on library creation form

This patch makes a few minor template changes to the form for creating
and editing libraries:

- <br /><span class="hint"> changed to <div class="hint">
- References to system preferences are linked directly to that
  preference if the user has permission.
- The MARC organization code label has been corrected so that it works
  now.

To test, apply the patch and go to Administration -> Libraries -> New
library.

- Confirm that the hints for Ill staff email, Reply-to, Return-path, and
  MARC organization code look correct, including aligning with the input
  field above them.
- Confirm that clicking the "MARC organization code" label moves focus
  to the correct field.
- View the page as a user who both does and does not have permission to
  access system preferences, confirming that system preferences are
  linked correctly if the user has the correct permission.

Signed-off-by: Mazen Khallaf <mazen.i.khallaf@gamil.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2021-01-18 23:32:46 UTC
Thx again, Mazen!
Comment 5 Jonathan Druart 2021-01-20 09:16:12 UTC
Created attachment 115415 [details] [review]
Bug 27437: Improve hint labels on library creation form

This patch makes a few minor template changes to the form for creating
and editing libraries:

- <br /><span class="hint"> changed to <div class="hint">
- References to system preferences are linked directly to that
  preference if the user has permission.
- The MARC organization code label has been corrected so that it works
  now.

To test, apply the patch and go to Administration -> Libraries -> New
library.

- Confirm that the hints for Ill staff email, Reply-to, Return-path, and
  MARC organization code look correct, including aligning with the input
  field above them.
- Confirm that clicking the "MARC organization code" label moves focus
  to the correct field.
- View the page as a user who both does and does not have permission to
  access system preferences, confirming that system preferences are
  linked correctly if the user has the correct permission.

Signed-off-by: Mazen Khallaf <mazen.i.khallaf@gamil.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

JD Amended patch: Add missing space to correctly align input with label
Comment 6 Jonathan Druart 2021-01-20 12:51:21 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 7 Fridolin Somers 2021-01-25 15:18:29 UTC
Enhancement not pushed to 20.11.x